From: Julian Ospald <hasufell@gentoo.org>
Date: Sat Oct 27 22:39:31 UTC 2012
Subject: FHS

paths hardcoded until upstream fixed the logic

--- Common/Base/Ogre/BaseManager.cpp
+++ Common/Base/Ogre/BaseManager.cpp
@@ -47,14 +47,14 @@
 		mWindow(nullptr),
 		mExit(false),
 		mPluginCfgName("plugins.cfg"),
-		mResourceXMLName("resources.xml"),
+		mResourceXMLName("/etc/MYGUI/resources.xml"),
 		mResourceFileName("MyGUI_Core.xml"),
 		mNode(nullptr)
 	{
 		#if MYGUI_PLATFORM == MYGUI_PLATFORM_APPLE
 			mResourcePath = macBundlePath() + "/Contents/Resources/";
 		#else
-			mResourcePath = "";
+			mResourcePath = "/etc/MYGUI/";
 		#endif
 	}
 
@@ -65,12 +65,16 @@
 	bool BaseManager::create()
 	{
 		Ogre::String pluginsPath;
+		char *homedir;
+		homedir = getenv("HOME");
+		std::string homePath;
+		homePath = homedir;
 
 		#ifndef OGRE_STATIC_LIB
 			pluginsPath = mResourcePath + mPluginCfgName;
 		#endif
 
-		mRoot = new Ogre::Root(pluginsPath, mResourcePath + "ogre.cfg", mResourcePath + "Ogre.log");
+		mRoot = new Ogre::Root(pluginsPath, homePath + "/mygui-ogre.cfg", homePath + "/mygui-Ogre.log");
 
 		setupResources();
 
--- CMake/InstallResources.cmake
+++ CMake/InstallResources.cmake
@@ -24,7 +24,7 @@
 	else ()
 		install(FILES
 			${MYGUI_BINARY_DIR}/bin/${FILENAME}
-			DESTINATION "bin"
+			DESTINATION "/etc/MYGUI"
 		)
 	endif ()
 endfunction(install_file)
@@ -51,7 +51,7 @@
 	if (WIN32)
 		set(MYGUI_MEDIA_DIR "../../Media")
 	elseif (UNIX)
-		set(MYGUI_MEDIA_DIR "../share/MYGUI/Media")
+		set(MYGUI_MEDIA_DIR "${CMAKE_INSTALL_PREFIX}/share/MYGUI/Media")
 	else ()
 		set(MYGUI_MEDIA_DIR "../../Media")
 	endif ()
